Mailinglist Archive: opensuse-security-announce (24 mails)

< Previous Next >
[security-announce] SUSE-SU-2012:0018-1: important: Security update for Kerberos 5
SUSE Security Update: Security update for Kerberos 5
______________________________________________________________________________

Announcement ID: SUSE-SU-2012:0018-1
Rating: important
References: #698471 #738632
Cross-References: CVE-2011-4862
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 10 SP4
SUSE Linux Enterprise Server 10 SP3 LTSS
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 10 SP4
SLE SDK 10 SP4
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:


This update of krb5 fixes two security issues.

* CVE-2011-4862: A remote code execution in the
kerberized telnet daemon was fixed. (This only affects the
ktelnetd from the krb5-appl RPM, not the regular telnetd
supplied by SUSE.)
* CVE-2011-1526 / MITKRB5-SA-2011-005: Fixed krb5 ftpd
unauthorized file access problems.

Security Issue reference:

* CVE-2011-4862
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-4862
>

Indications:

Please install this update.

Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP1:

zypper in -t patch sdksp1-krb5-5594

- SUSE Linux Enterprise Server 11 SP1 for VMware:

zypper in -t patch slessp1-krb5-5594

- SUSE Linux Enterprise Server 11 SP1:

zypper in -t patch slessp1-krb5-5594

- SUSE Linux Enterprise Desktop 11 SP1:

zypper in -t patch sledsp1-krb5-5594

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 ia64 ppc64
s390x x86_64):

krb5-devel-1.6.3-133.48.48.1

- SUSE Linux Enterprise Software Development Kit 11 SP1 (ppc64 s390x x86_64):

krb5-devel-32bit-1.6.3-133.48.48.1

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 x86_64):

krb5-server-1.6.3-133.48.48.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586 x86_64):

krb5-1.6.3-133.48.48.1
krb5-apps-clients-1.6.3-133.48.48.1
krb5-apps-servers-1.6.3-133.48.48.1
krb5-client-1.6.3-133.48.48.1
krb5-server-1.6.3-133.48.48.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (x86_64):

krb5-32bit-1.6.3-133.48.48.1

- SUSE Linux Enterprise Server 11 SP1 (i586 ia64 ppc64 s390x x86_64):

krb5-1.6.3-133.48.48.1
krb5-apps-clients-1.6.3-133.48.48.1
krb5-apps-servers-1.6.3-133.48.48.1
krb5-client-1.6.3-133.48.48.1
krb5-server-1.6.3-133.48.48.1

- SUSE Linux Enterprise Server 11 SP1 (ppc64 s390x x86_64):

krb5-32bit-1.6.3-133.48.48.1

- SUSE Linux Enterprise Server 11 SP1 (ia64):

krb5-x86-1.6.3-133.48.48.1

- SUSE Linux Enterprise Server 10 SP4 (i586 ia64 ppc s390x x86_64):

krb5-1.4.3-19.49.49.1
krb5-apps-clients-1.4.3-19.49.49.1
krb5-apps-servers-1.4.3-19.49.49.1
krb5-client-1.4.3-19.49.49.1
krb5-devel-1.4.3-19.49.49.1
krb5-server-1.4.3-19.49.49.1

- SUSE Linux Enterprise Server 10 SP4 (s390x x86_64):

krb5-32bit-1.4.3-19.49.49.1
krb5-devel-32bit-1.4.3-19.49.49.1

- SUSE Linux Enterprise Server 10 SP4 (ia64):

krb5-x86-1.4.3-19.49.49.1

- SUSE Linux Enterprise Server 10 SP4 (ppc):

krb5-64bit-1.4.3-19.49.49.1
krb5-devel-64bit-1.4.3-19.49.49.1

- SUSE Linux Enterprise Server 10 SP3 LTSS (i586 s390x x86_64):

krb5-1.4.3-19.49.49.1
krb5-apps-clients-1.4.3-19.49.49.1
krb5-apps-servers-1.4.3-19.49.49.1
krb5-client-1.4.3-19.49.49.1
krb5-devel-1.4.3-19.49.49.1
krb5-server-1.4.3-19.49.49.1

- SUSE Linux Enterprise Server 10 SP3 LTSS (s390x x86_64):

krb5-32bit-1.4.3-19.49.49.1
krb5-devel-32bit-1.4.3-19.49.49.1

- SUSE Linux Enterprise Desktop 11 SP1 (i586 x86_64):

krb5-1.6.3-133.48.48.1
krb5-client-1.6.3-133.48.48.1

- SUSE Linux Enterprise Desktop 11 SP1 (x86_64):

krb5-32bit-1.6.3-133.48.48.1

- SUSE Linux Enterprise Desktop 10 SP4 (i586 x86_64):

krb5-1.4.3-19.49.49.1
krb5-client-1.4.3-19.49.49.1
krb5-devel-1.4.3-19.49.49.1

- SUSE Linux Enterprise Desktop 10 SP4 (x86_64):

krb5-32bit-1.4.3-19.49.49.1
krb5-devel-32bit-1.4.3-19.49.49.1

- SLE SDK 10 SP4 (i586 ia64 ppc s390x x86_64):

krb5-apps-clients-1.4.3-19.49.49.1
krb5-apps-servers-1.4.3-19.49.49.1
krb5-server-1.4.3-19.49.49.1


References:

http://support.novell.com/security/cve/CVE-2011-4862.html
https://bugzilla.novell.com/698471
https://bugzilla.novell.com/738632

http://download.novell.com/patch/finder/?keywords=14b571ec5c63a7c3f2a6c6f9f38f606a

http://download.novell.com/patch/finder/?keywords=1827558e7c86f395bb141c5095dca72d

http://download.novell.com/patch/finder/?keywords=af1f89f792c1b454611bd0a8d2dd9462

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages